/*
 *--- PGetLineStyle.cpp ---------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetLineStyle.html
 *-------------------------------------------------------------------------
 */

#include "PQuery.h"
#include "PGetLineStyle.h"

PGetLineStyle::PGetLineStyle()
{
	char temp[8];		// four shorts
	
	PQuery query(pm_getlinestyle, temp, 8);
	PReplyBuf reply(temp);
	
	reply >> cStyleIndex >> bReverse >> dWeight >> bOpaque;
}

// end of PGetLineStyle.cpp
